Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.category
Interface JdbcCategoryManager

All Superinterfaces
  BusinessSmartComponent, CatalogService, javax.ejb.EJBObject, JdbcCatalogService, Remote, Serializable, Session

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface JdbcCategoryManager

extends JdbcCatalogService

Defines a Tier 2 service provider interface for a CategoryManager that uses JDBC as a persistence mechanism. This class should not be accessed directly but accessed through the CatalogManager.getCategoryManager method. If a category is not present in the cache this Tier 2 service provide will be invoked.

See Also
  `CatalogManager`, `JdbcCategoryManagerHome`, `JdbcCategoryManagerImpl`

Method Summary
`void` | `addItem(CatalogRequest request, CategoryKey categoryKey, ProductItemKey itemKey)` Deprecated See BEA Commerce product offering
`void` | `createCategory(CatalogRequest request, CategoryKey parentKey, Category category)` Deprecated See BEA Commerce product offering
`Category[]` | `getAncestors(CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`Category[]` | `getCategories(CatalogRequest request, CategoryKey[] categoryKeys)` Deprecated See BEA Commerce product offering
`ViewIterator` | `getCategories(CatalogRequest request, int viewSize)` Deprecated See BEA Commerce product offering
`Category` | `getCategory(CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`int` | `getCategoryCount(CatalogRequest request)` Deprecated See BEA Commerce product offering
`CategoryKey[]` | `getCategoryKeys(CatalogRequest request, int beginIndex, int endIndex)` Deprecated See BEA Commerce product offering
`CategoryKey[]` | `getItemCategories(CatalogRequest request, ProductItemKey productKey)` Deprecated See BEA Commerce product offering
`CategoryKey[][]` | `getItemCategories(CatalogRequest request, ProductItemKey[] productKeys)` Deprecated See BEA Commerce product offering
`int` | `getItemCount(CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`ProductItemKey[]` | `getItemKeys(CatalogRequest request, CategoryKey categoryKey, int beginIndex, int endIndex)` Deprecated See BEA Commerce product offering
`ViewIterator` | `getItems(CatalogRequest request, CategoryKey categoryKey, int viewSize)` Deprecated See BEA Commerce product offering
`int` | `getOrphanedItemCount(CatalogRequest request)` Deprecated See BEA Commerce product offering
`ProductItemKey[]` | `getOrphanedItemKeys(CatalogRequest request, int beginIndex, int endIndex)` Deprecated See BEA Commerce product offering
`ViewIterator` | `getOrphanedItems(CatalogRequest request, int viewSize)` Deprecated See BEA Commerce product offering
`Category` | `getParent(CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`Category` | `getRootCategory(CatalogRequest request)` Deprecated See BEA Commerce product offering
`int` | `getSiblingCount(CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`CategoryKey[]` | `getSiblingKeys(CatalogRequest request, CategoryKey categoryKey, int beginIndex, int endIndex)` Deprecated See BEA Commerce product offering
`ViewIterator` | `getSiblings(CatalogRequest request, CategoryKey categoryKey, int viewSize)` Deprecated See BEA Commerce product offering
`ViewIterator` | `getSubCategories(CatalogRequest request, CategoryKey categoryKey, int viewSize)` Deprecated See BEA Commerce product offering
`int` | `getSubCategoryCount(CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`CategoryKey[]` | `getSubCategoryKeys(CatalogRequest request, CategoryKey categoryKey, int beginIndex, int endIndex)` Deprecated See BEA Commerce product offering
`void` | `moveCategory(CatalogRequest request, CategoryKey categoryKey, CategoryKey newParentKey)` Deprecated See BEA Commerce product offering
`void` | `removeCategory(CatalogRequest request, CategoryKey categoryKey)` Deprecated See BEA Commerce product offering
`void` | `removeItem(CatalogRequest request, CategoryKey categoryKey, ProductItemKey itemKey)` Deprecated See BEA Commerce product offering
`void` | `updateCategory(CatalogRequest request, Category category)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.service.CatalogService
`getCatalogManager`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getRootCategory

    Category getRootCategory(CatalogRequest request)
                             throws RemoteException,
                                    CatalogCreateException,
                                    CatalogException

  Deprecated See BEA Commerce product offering

  Returns the root category. If the root cattegory does not exist, it will be created.

  Parameters
    `request` - The catalog request object.
  Returns
    The root category.
  Throws
    `CatalogCreateException` - if the root category could not be created.
    `CatalogException` - on general error.
    `RemoteException`

### getCategoryCount

    int getCategoryCount(CatalogRequest request)
                         throws RemoteException,
                                CatalogException

  Deprecated See BEA Commerce product offering

  Returns the total number of categories in the product catalog.

  Parameters
    `request` - The catalog request object.
  Returns
    The total number of categories in the product catalog.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getItemCount

    int getItemCount(CatalogRequest request,
                     CategoryKey categoryKey)
                     throws RemoteException,
                            CatalogFinderException,
                            CatalogException

  Deprecated See BEA Commerce product offering

  Returns the number of product items associated with the specified category.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Returns
    The number of product items associated with the specified category.
  Throws
    `CatalogFinderException` - if the specified category could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### getSubCategoryCount

    int getSubCategoryCount(CatalogRequest request,
                            CategoryKey categoryKey)
                            throws RemoteException,
                                   CatalogFinderException,
                                   CatalogException

  Deprecated See BEA Commerce product offering

  Returns the number of sub categories associated with the specified category.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Returns
    The number of sub categories associated with the specified category.
  Throws
    `CatalogFinderException` - if the specified category could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### getSiblingCount

    int getSiblingCount(CatalogRequest request,
                        CategoryKey categoryKey)
                        throws RemoteException,
                               CatalogFinderException,
                               CatalogException

  Deprecated See BEA Commerce product offering

  Returns the number of siblings associated with the specified category.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Returns
    The number of siblings associated with the specified category.
  Throws
    `CatalogFinderException` - if the specified category could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### getOrphanedItemCount

    int getOrphanedItemCount(CatalogRequest request)
                             throws RemoteException,
                                    CatalogException

  Deprecated See BEA Commerce product offering

  Returns the number of orphaned items in the catalog.

  Parameters
    `request` - The catalog request object.
  Returns
    The number of orphaned items in the catalog.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getCategory

    Category getCategory(CatalogRequest request,
                         CategoryKey categoryKey)
                         throws RemoteException,
                                CatalogFinderException,
                                CatalogException

  Deprecated See BEA Commerce product offering

  Returns the category with the given category key.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Returns
    The category with the given category key.
  Throws
    `CatalogFinderException` - if a category with the given key does not exist.
    `CatalogException` - on general error.
    `RemoteException`

### getCategories

    Category[] getCategories(CatalogRequest request,
                             CategoryKey[] categoryKeys)
                             throws RemoteException,
                                    CatalogFinderException,
                                    CatalogException

  Deprecated See BEA Commerce product offering

  Returns the categories with the given category keys.

  Parameters
    `request` - The catalog request object.
    `keys` - The keys of the target categories.
  Returns
    The categories with the given category keys.
  Throws
    `CatalogFinderException` - if a category with a given key does not exist.
    `CatalogException` - on general error.
    `RemoteException`

### getCategoryKeys

    CategoryKey[] getCategoryKeys(CatalogRequest request,
                                  int beginIndex,
                                  int endIndex)
                                  throws RemoteException,
                                         CatalogException

  Deprecated See BEA Commerce product offering

  Returns an array of all existing category keys within the specified ordered range.

  Parameters
    `request` - The catalog request object.
    `beginIndex` - The lower bound index for returned category keys.
    `endIndex` - The upper bound index for returned category keys.
  Returns
    An array of the category keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getCategories

    ViewIterator getCategories(CatalogRequest request,
                               int viewSize)
                               throws RemoteException,
                                      CatalogException

  Deprecated See BEA Commerce product offering

  Returns a ViewIterator over all existing categories.

  Parameters
    `request` - The catalog request object.
    `viewSize` - The view size of the returned ViewIterator.
  Returns
    A ViewIterator over the categories.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getSiblingKeys

    CategoryKey[] getSiblingKeys(CatalogRequest request,
                                 CategoryKey categoryKey,
                                 int beginIndex,
                                 int endIndex)
                                 throws RemoteException,
                                        CatalogException

  Deprecated See BEA Commerce product offering

  Returns an array of all exististing sibling keys of the specified category within the specified ordered range.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
    `beginIndex` - The lower bound index for returned sibling keys.
    `endIndex` - The upper bound index for returned sibling keys.
  Returns
    An array of the sibling keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getSiblings

    ViewIterator getSiblings(CatalogRequest request,
                             CategoryKey categoryKey,
                             int viewSize)
                             throws RemoteException,
                                    CatalogException

  Deprecated See BEA Commerce product offering

  Returns a ViewIterator over all siblings of the specified category.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
    `viewSize` - The view size of the returned ViewIterator.
  Returns
    A ViewIterator over all siblings.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getSubCategoryKeys

    CategoryKey[] getSubCategoryKeys(CatalogRequest request,
                                     CategoryKey categoryKey,
                                     int beginIndex,
                                     int endIndex)
                                     throws RemoteException,
                                            CatalogException

  Deprecated See BEA Commerce product offering

  Returns an array of all sub category keys of the specified category within the specified ordered range.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
    `beginIndex` - The lower bound index for returned sub category keys.
    `endIndex` - The upper bound index for returned sub category keys.
  Returns
    An array of all the sub category keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getSubCategories

    ViewIterator getSubCategories(CatalogRequest request,
                                  CategoryKey categoryKey,
                                  int viewSize)
                                  throws RemoteException,
                                         CatalogException

  Deprecated See BEA Commerce product offering

  Returns a ViewIterator over all sub categories of the specified category.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
    `viewSize` - The view size of the returned ViewIterator.
  Returns
    A ViewIterator over all the sub categories.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getAncestors

    Category[] getAncestors(CatalogRequest request,
                            CategoryKey categoryKey)
                            throws RemoteException,
                                   CatalogException

  Deprecated See BEA Commerce product offering

  Returns the ancestors of the specified category in ascending order.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Returns
    An array of ancestor categories in ascending order.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getParent

    Category getParent(CatalogRequest request,
                       CategoryKey categoryKey)
                       throws RemoteException,
                              CatalogFinderException,
                              CatalogException

  Deprecated See BEA Commerce product offering

  Returns the parent of the specified category.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Returns
    The parent of the specified category.
  Throws
    `CatalogFinderException` - if the parent could not be found. This could happen if the specified category does not exist or is the root category.
    `CatalogException` - on general error.
    `RemoteException`

### getItemKeys

    ProductItemKey[] getItemKeys(CatalogRequest request,
                                 CategoryKey categoryKey,
                                 int beginIndex,
                                 int endIndex)
                                 throws RemoteException,
                                        CatalogException

  Deprecated See BEA Commerce product offering

  Returns an array of all product item keys of the specified category within the specified ordered range.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
    `beginIndex` - The lower bound index for returned product item keys.
    `endIndex` - The upper bound index for returned product item keys.
  Returns
    An array of all the product item keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getItems

    ViewIterator getItems(CatalogRequest request,
                          CategoryKey categoryKey,
                          int viewSize)
                          throws RemoteException,
                                 CatalogException

  Deprecated See BEA Commerce product offering

  Returns a ViewIterator over all product items of the specified category.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
    `viewSize` - The view size of the returned ViewIterator.
  Returns
    A ViewIterator over all product items.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getOrphanedItemKeys

    ProductItemKey[] getOrphanedItemKeys(CatalogRequest request,
                                         int beginIndex,
                                         int endIndex)
                                         throws RemoteException,
                                                CatalogException

  Deprecated See BEA Commerce product offering

  Returns an array of all existing orphaned item keys within the specified ordered range.

  Parameters
    `request` - The catalog request object.
    `beginIndex` - The lower bound index for returned category keys.
    `endIndex` - The upper bound index for returned category keys.
  Returns
    An array of the orphaned category keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getOrphanedItems

    ViewIterator getOrphanedItems(CatalogRequest request,
                                  int viewSize)
                                  throws RemoteException,
                                         CatalogException

  Deprecated See BEA Commerce product offering

  Returns a ViewIterator over all existing orphaned categories.

  Parameters
    `request` - The catalog request object.
    `viewSize` - The view size of the returned ViewIterator.
  Returns
    A ViewIterator over all existing orphaned categories.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### createCategory

    void createCategory(CatalogRequest request,
                        CategoryKey parentKey,
                        Category category)
                        throws RemoteException,
                               CatalogCreateException,
                               CatalogException

  Deprecated See BEA Commerce product offering

  Creates a sub category within the supplied parent category.

  Parameters
    `request` - The catalog request object.
    `parentKey` - The key of the target parent category.
    `category` - The category to persist.
  Throws
    `CatalogCreateException` - on category creation error.
    `CatalogException` - on general error.
    `RemoteException`

### removeCategory

    void removeCategory(CatalogRequest request,
                        CategoryKey categoryKey)
                        throws RemoteException,
                               CatalogRemoveException,
                               CatalogFinderException,
                               CatalogException

  Deprecated See BEA Commerce product offering

  Removes the specifed category.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
  Throws
    `CatalogRemoveException` - if the specified category could not be removed.
    `CatalogFinderException` - if the specified category could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### updateCategory

    void updateCategory(CatalogRequest request,
                        Category category)
                        throws RemoteException,
                               CatalogFinderException,
                               CatalogException

  Deprecated See BEA Commerce product offering

  Updates the specifed category.

  Parameters
    `request` - The catalog request object.
    `category` - The category to update.
  Throws
    `CatalogFinderException` - if the specified category could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### moveCategory

    void moveCategory(CatalogRequest request,
                      CategoryKey categoryKey,
                      CategoryKey newParentKey)
                      throws RemoteException,
                             CatalogFinderException,
                             CatalogException

  Deprecated See BEA Commerce product offering

  Moves the specifed category.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of the target category.
    `parentKey` - The key of the new parent category.
  Throws
    `CatalogFinderException` - if the specified target or parent category could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### addItem

    void addItem(CatalogRequest request,
                 CategoryKey categoryKey,
                 ProductItemKey itemKey)
                 throws RemoteException,
                        CatalogFinderException,
                        CatalogException

  Deprecated See BEA Commerce product offering

  Adds an item to the specified category.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of target category.
    `itemKey` - The key of the target item.
  Throws
    `CatalogFinderException` - if the target category or item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### removeItem

    void removeItem(CatalogRequest request,
                    CategoryKey categoryKey,
                    ProductItemKey itemKey)
                    throws RemoteException,
                           CatalogFinderException,
                           CatalogException

  Deprecated See BEA Commerce product offering

  Removes an item from the specified category.

  Parameters
    `request` - The catalog request object.
    `categoryKey` - The key of target category.
    `itemKey` - The key of the target item.
  Throws
    `CatalogFinderException` - if the target category could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### getItemCategories

    CategoryKey[] getItemCategories(CatalogRequest request,
                                    ProductItemKey productKey)
                                    throws RemoteException,
                                           CatalogFinderException,
                                           CatalogException

  Deprecated See BEA Commerce product offering

  Gets all the categories that an item is a part of.

  Parameters
    `request` - The catalog request object.
    `productKey` - ProductItemKey of the product item concerned.
  Returns
    An array of category keys.
  Throws
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### getItemCategories

    CategoryKey[][] getItemCategories(CatalogRequest request,
                                      ProductItemKey[] productKeys)
                                      throws RemoteException,
                                             CatalogException

  Deprecated See BEA Commerce product offering

  Returns an array of arrays of all the categories that items are part of. The order of the arrays returned is the same as the product item keys in the input. In case a product item key does not exist an empty array is returned.

  Parameters
    `request` - The catalog request object.
    `productKeys` - Array of ProductItemKeys.
  Returns
    An array of arrays of category keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved